<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


echo '<img src="../images/img/partners.gif" alt=""> <b>21 (Очко)</b><br><br>';

$randcard = mt_rand(1,36);
$randcard2 = mt_rand(1,36);
$randgame = mt_rand(100,999);
	
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

//-------------------------- Главная страница -------------------------------------//
if(!isset($action)){
echo 'У Вас в наличии: '.moneys($udata[41]).'<br>';



if($_SESSION['cards']==""){
$_SESSION['cards'][]=$randcard;
$_SESSION['bankircards'][]=$randcard2;
$_SESSION['uscore']+=cards_score($randcard);
$_SESSION['bscore']+=cards_score($randcard2);
}

echo '<br><b>Ваши карты:</b><br>';
foreach($_SESSION['cards'] as $value){
echo '<img src="../images/cards/'.$value.'.gif" alt=""> ';
}

echo '<br>'.cards_points($_SESSION['uscore']).'<br><br>';

if($_SESSION['stavka']==""){

if($udata[41]>0){
echo 'Ваша ставка(1-'.$config_ochkostavka.'):<br>';

if($config_themes!="wml"){
echo'<form action="21.php?action=ini&amp;rand='.$randgame.'&amp;'.SID.'" method="post">';
echo'<input name="mn" /><br>';
echo'<input type="submit" value="Играть" /></form><hr>';

}else{

echo '<input name="mn"/><br>';
echo '<anchor title="go">Играть<go href="21.php?action=ini&amp;rand='.$randgame.'&amp;'.SID.'" method="post">';
echo '<postfield name="mn" value="$(mn)"/>';
echo '</go></anchor><br>'; 
}
}else{echo '<b>У вас нет денег для игры!</b><br><br>';}

echo'Mаксимальная ставка - '.moneys($config_ochkostavka).'<br><br>';

}else{

echo 'Cтавки сделаны, на кону: '.moneys($_SESSION['stavka']*2).'<br><br>';

echo '<b><a href="21.php?action=game&amp;act=go&amp;rand='.$randgame.'&amp;'.SID.'">Вернитесь в игру</a></b><br><br>';

}

echo '<img src="../images/img/faq.gif" alt=""> <a href="21.php?action=pravila&amp;'.SID.'">Правила игры</a><br>';
}

//-------------------------- Проверка данных -------------------------------------//
if($action=="ini"){

$mn=(int)$mn;

if($mn>0){
if($mn<=$config_ochkostavka){
if($udata[41]>=$mn){
if($_SESSION['stavka']==""){


//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=round($udata[41]-$mn);

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

$_SESSION['stavka']=$mn;
header ("Location: 21.php?action=game&rand=$randgame&".SID);

}else{echo 'Вы уже сделали ставку, вернитесь в игру<br>';}
}else{echo 'У вас недостаточно денег для подобной ставки!<br>';}
}else{echo 'Запрещено ставить больше чем максимальная ставка '.moneys($config_ochkostavka).'!<br>';}
}else{echo 'Вы не указали ставку, необходимо поставить от 1 до '.$config_ochkostavka.'!<br>';}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="21.php?'.SID.'">Вернуться</a><br>';
}



//-------------------------- Игра -------------------------------------//
if($action=="game"){

if($_SESSION['stavka']!=""){

if($act!="end" && $act!="go"){
$_SESSION['cards'][]=$randcard;
$_SESSION['uscore']+=cards_score($randcard);

if($_SESSION['bscore']<21){
$_SESSION['bankircards'][]=$randcard2;
$_SESSION['bscore']+=cards_score($randcard2);
}
}
echo 'У Вас в наличии: '.moneys($udata[41]).'<br>';

echo '<br><b>Ваши карты:</b><br>';
foreach($_SESSION['cards'] as $value){
echo '<img src="../images/cards/'.$value.'.gif" alt=""> ';
}



echo '<br>'.cards_points($_SESSION['uscore']).'<br><br>';


if($act=="end"){

if($_SESSION['bscore']<17){$_SESSION['bankircards'][]=$randcard2; $_SESSION['bscore']+=cards_score($randcard2);}

if($_SESSION['uscore']>$_SESSION['bscore']){$win=1;}
if($_SESSION['bscore']>$_SESSION['uscore']){$win=2;}
if($_SESSION['uscore']==$_SESSION['bscore']){$win=2;}
if($_SESSION['bscore']>21){$win=1;}
}


if($_SESSION['uscore']>21 && count($_SESSION['cards'])!=2){echo '<b><font color="#FF0000">У вас перебор!</font> </b>'; $win=2;}
if($_SESSION['uscore']==22 && count($_SESSION['cards'])==2){echo '<b><font color="#FF0000">У вас 2 туза!</font> </b>'; $win=1;}
if($_SESSION['bscore']==22 && count($_SESSION['bankircards'])==2){echo '<b><font color="#FF0000">У банкира 2 туза!</font> </b>'; $win=2;}
if($_SESSION['uscore']==21){echo '<b><font color="#FF0000">У вас очко!</font> </b>'; $win=1;}
if($_SESSION['bscore']==21){echo '<b><font color="#FF0000">У банкира очко!</font> </b>';$win=2;}




if($win==1 || $win==2){

if($win==1){
//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=round($udata[41]+($_SESSION['stavka']*2));

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo '<b><font color="#FF0000">Вы выиграли</font></b><br>';
echo 'Ставка в размере '.moneys($_SESSION['stavka']*2).' отправлена вам на счет<br>';

}else{

echo '<b><font color="#FF0000">Вы проиграли</font></b><br>';
echo 'Ставка в размере '.moneys($_SESSION['stavka']*2).' отправлена в банк<br>';
}


echo '<br><b>Карты банкира:</b><br>';

foreach($_SESSION['bankircards'] as $bvalue){
echo '<img src="../images/cards/'.$bvalue.'.gif" alt=""> ';
}
echo '<br>'.cards_points($_SESSION['bscore']).'<br><br>';

echo '<img src="../images/img/reload.gif" alt=""> <a href="21.php?action=ini&amp;rand='.$randgame.'&amp;mn='.$_SESSION['stavka'].'&amp;'.SID.'">Повторить ставку</a>';


$_SESSION['cards']="";
$_SESSION['bankircards']="";
$_SESSION['stavka']="";
$_SESSION['uscore']="";
$_SESSION['bscore']="";

unset($_SESSION['cards']);
unset($_SESSION['bankircard']);
unset($_SESSION['stavka']);
unset($_SESSION['uscore']);
unset($_SESSION['bscore']);

}else{

echo 'На кону: '.moneys($_SESSION['stavka']*2).'<br><br>';
echo '<b><a href="21.php?action=game&amp;rand='.$randgame.'&amp;'.SID.'">Взять карту</a></b> или ';
echo '<b><a href="21.php?action=game&amp;act=end&amp;rand='.$randgame.'&amp;'.SID.'">Открыться</a></b><br><br>';
}



}else{echo 'Вы не установили размер ставки, для игры необходимо сделать ставку!<br>';}

if($_SESSION['stavka']==""){echo '<br><img src="../images/img/back.gif" alt=""> <a href="21.php?'.SID.'">Новая ставка</a><br>';}
}


//-------------------------- Правила игры -------------------------------------//
if($action=="pravila"){

echo 'Для участия в игре сделайте ставку и нажмите "играть", Ваша ставка будет получена Банкиром и он начнет сдавать Вам карты(одна карта уже заранее сдана).<br>';
echo 'В игре участвуют двое - Вы и Банкир, на кону - двойная ставка (Ваша ставка и ставка Банкира). Взяв карты, Вы подсчитываете суммарное количество их очков.<br>';
echo '<b>Очки считаются следующим образом:</b><br>';
echo 'шестерка - 6 очков<br>';
echo 'семерка - 7 очков<br>';
echo 'восьмерка - 8 очков<br>';
echo 'девятка - 9 очков<br>';
echo 'десятка - 10 очков<br>';
echo 'валет(J) - 2 очков<br>';
echo 'дама(Q) - 3 очков<br>';
echo 'король(K) - 4 очков<br>';
echo 'туз(A) - 11 очков.<br>';
echo 'Сумма очков не зависит от масти карт.<br>';
echo 'Для взятия очередной карты нужно нажать кнопку "ещё".<br>';
echo 'Если сумма Ваших очков больше 21, то Вы проиграли - перебор, исключение - 2 туза(22 очка).<br>';
echo '<b>Очко(21) главнее чем 2 туза(22)!</b><br>';
echo 'Взяв необходимое количество карт, Вы нажимаете кнопку "открыть", и Банкир открывает свои карты(если Вы набираете 20, 21 или 22(2 туза) очка то Банкир открывается автоматически). Выигрывает тот, у кого больше очков. Он забирает кон размером в 2 ставки. При равном количестве очков выигрывает банкир!.<br>Внимание!!! Если вы проиграете все деньги никто вам их не вернет, вы не сможете начать игру сначала, количество золотых монет вы сможете посмотреть в своей анкете<br><br>';

echo '<img src="../images/img/back.gif" alt=""> <a href="21.php?'.SID.'">В игру</a><br>';
}

}else{
echo '<br>Вы не авторизованы, чтобы начать игру, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<img src="../images/img/games.gif" alt=""> <a href="../pages/index.php?action=arkada&amp;'.SID.'">Развлечения</a><br>'; 
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>



